# norootforbuild

Name:           truecrypt5
Version:        5.1a
Release:        %mkrel 2
License:        TrueCrypt Collective License Version 1.3
Group:          Productivity/Security
Url:            http://www.truecrypt.org
Source:         truecrypt-%{version}-source.tar.gz
Patch0:         wx_root.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libfuse-devel libwxgtk2.8-devel
BuildRequires:  libwxgtku2.8-devel
Requires:	libwxgtku2.8 libwxgtk2.8
Requires:       fuse wxgtk2.8
Summary:        Free open-source disk encryption software for Windows Vista/XP/2000 and Linux

%description
TrueCrypt is a software system for establishing and maintaining an on-the-fly-encrypted volume (data storage device).

On-the-fly encryption means that data is automatically encrypted or decrypted right before it is loaded or saved, without any user intervention.
No data stored on an encrypted volume can be read (decrypted) without using the correct password/keyfile(s) or correct encryption keys. 

Entire file system is encrypted (i.e., file names, folder names, contents of every file, and free space).

Authors:

--------
 - TrueCrypt Foundation
 - Paul Le Roux
 - Brian Gladman
 - Eric Young
 - Mark Adler
 - Markus Friedl

%prep
%setup -qn truecrypt-%{version}-source
%patch0 -p1

%build
%make %{?jobs:-j%jobs}

%install
%{__install} -Dm 0755 Main/truecrypt %{buildroot}%{_bindir}/%{name}
%{__mkdir_p} %{buildroot}%{_docdir}/%{name}
%{__install} -Dm 0644 Release/Setup\ Files/* %{buildroot}%{_docdir}/%{name}
%{__install} -Dm 0644 Common/TrueCrypt.ico %{buildroot}%{_datadir}/icons/TrueCrypt.ico

### MENU ITEM ###
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=TrueCrypt
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=%{_datadir}/icons/TrueCrypt.ico
Terminal=false
Type=Application
StartupNotify=true
Categories=System
EOF

%post
%update_menus

%postun
%clean_menus

%clean
[[ %{buildroot} != "" && %{buildroot} != "/" ]] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/TrueCrypt.ico
%doc %{_docdir}/%{name}

%changelog
* Tue Apr 22 2008 Maurizio Dal Magro <dalmagro@scarlet.be>
- First build for Mandriva 2008.1
- Added menu-entry
